# Uses of Interface
org.apache.commons.math3.optimization.general.Preconditioner

Packages that use Preconditioner
Package
Description
org.apache.commons.math3.optimization.general
This package provides optimization algorithms that require derivatives.

## Uses of Preconditioner in org.apache.commons.math3.optimization.general

Classes in org.apache.commons.math3.optimization.general that implement Preconditioner
Modifier and Type
Class
Description
`static class`
`NonLinearConjugateGradientOptimizer.IdentityPreconditioner`
Deprecated.
Default identity preconditioner.
Constructors in org.apache.commons.math3.optimization.general with parameters of type Preconditioner
Modifier
Constructor
Description
``
`NonLinearConjugateGradientOptimizer(ConjugateGradientFormula updateFormula, ConvergenceChecker<PointValuePair> checker, UnivariateSolver lineSearchSolver, Preconditioner preconditioner)`
Deprecated.